Unusual Whales UnusualWhales API

Greek flow

GET https://api.unusualwhales.com/api/stock/{ticker}/greek-flow

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Query Parameters

date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18

Responses

200

Response Body 200 OK

dir_delta_flow Dir Delta Flow

The directional delta flow.

Example: -43593.96
dir_vega_flow Dir Vega Flow

The directional vega flow.

Example: 31243.04
otm_dir_delta_flow OTM Dir Delta Flow

The directional delta flow of out-of-the-money options.

Example: 14947.51
otm_dir_vega_flow OTM Dir Vega Flow

The directional vega flow of out-of-the-money options.

Example: 11421.03
otm_total_delta_flow OTM Total Delta Flow

The total delta flow of out-of-the-money options.

Example: -28564.02
otm_total_vega_flow OTM Total Vega Flow

The total vega flow of out-of-the-money options.

Example: 101745.64
ticker Stock Ticker

The stock ticker.

Example: AAPL
timestamp Timestamp

The (start of minute) timestamp of the data.

Example: 2024-10-28T18:46:00Z
total_delta_flow Total Delta Flow

The total delta flow.

Example: -21257.36
total_vega_flow Total Vega Flow

The total vega flow.

Example: 350944.58
transactions Transactions

The amount of transactions.

Example: 1188
volume Volume

The total options volume.

Example: 12348
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/greek-flow" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "dir_delta_flow": "-43593.96",
      "dir_vega_flow": "31243.04",
      "otm_dir_delta_flow": "14947.51",
      "otm_dir_vega_flow": "11421.03",
      "otm_total_delta_flow": "-28564.02",
      "otm_total_vega_flow": "101745.64",
      "ticker": "SPY",
      "timestamp": "2024-10-28T18:46:00Z",
      "total_delta_flow": "-21257.36",
      "total_vega_flow": "350944.58",
      "transactions": 1188,
      "volume": 12348
    }
  ]
}